<style type="text/css">
.style20 {
	font-family: Verdana;
	font-size: 12px;
}
.style5 {
font-family: Verdana, Arial, Helvetica, sans-serif;
font-size: 14px;
}
.style3 {
font-family: Verdana, Arial, Helvetica, sans-serif;
font-size: 13px;
}
.style10{ border-top:solid 1px; border-top-color:#999;}
.style11{ border-bottom:dashed 1px; border-bottom-color:#333333;}
.style4 {font-family: Verdana, Arial, Helvetica, sans-serif;
font-size: 13px;
}
.style23 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-weight: bold;
}
.style27 {font-size: 12px}
.style28 {
	font-size: 16px;
	font-weight: bold;
}
.text {font-family: Verdana; font-size:13px;}
.style29 {	font-family: Verdana;
	font-size: 14px;

}
.stylebottom
{
	border-top:1px dashed #000000;

	
	border-bottom:1px dashed #000000;
}	
</style>
<?php 
  include ("../../include/db.php");
error_reporting(0);
ob_start();
session_start();
$session_branch=$_SESSION['branch'];
$session_user_type=$_SESSION['user_type'];
  $branch_name=$_GET['branch_name'];

function get_categ_branch_id($branch_name)
{
$sql_query11="select * from branch_creation where branch_id='$branch_name' and delete_status!='1'";
$rs11=mysql_query($sql_query11);
 while($rsdata11=mysql_fetch_object($rs11))
 {
 $id=$rsdata11->branch_name;
 } 
	return $id;
 }
 $bran_name=get_categ_branch_id($branch_name);
if($session_user_type!=1)
{
$query="select * from branch_creation  WHERE branch_id='$session_branch'";
}
$rs=mysql_query($query);						 
                                                $i=0;
                                                while($list=mysql_fetch_array($rs))
                                                {
                                                $i=$i+1;
												$branch_address=$list['branch_address'];
												$head_off=$list['head_off'];
												$branch_off=$list['branch_off'];
												$branch_ph=$list['branch_ph'];
												$delivery_ph=$list['delivery_ph'];
												$delivery_off=$list['delivery_off'];
											    }
											 ?>
<table width="980" height="30" border="0" align="center"  cellpadding="0" cellspacing="0">
<tr style="height:60">
<td width="137" height="106" align="right" style="font-size:12px; "><img src="../../img/logo_image.png" width="126" height="130"/></td>
<td width="711" colspan="5" align="center" valign="top" style=""><strong style="font-size: 30px; color: #06F; padding-top: 5px; width: 80px; font-family: Verdana, sans-serif">SRI AMMAN DIGITAL PRINTS</strong><br />
        <span width="80%" class="title1" style="font-size:14px;font-family:Verdana, sans-serif; font-weight:bold"><b></b> DOOR No: 1/2,1/3  KOMBAI THOTTAM MAIN ROAD,</span><br />
       <span width="80%" class="title0" style="font-size:14px;font-family:Verdana, sans-serif; font-weight:bold"><b></b>SELLANDIAMMAN THURAI ROAD,</span><br />
       <span width="80%" class="title0" style="font-size:14px;font-family:Verdana, sans-serif; font-weight:bold"><b></b>TIRUPPUR-641604 TAMILNADU STATE INDIA,</span><br/>
       <span width="80%" class="title00" style="font-size:14px;font-family:Verdana, sans-serif; font-weight:bold"><b></b>Contact Office: 0421-4355333,+91 83442-33555,+91 83442-33888,</span><br/>
       <span width="80%" class="title0" style="font-size:14px;font-family:Verdana, sans-serif; font-weight:bold"><b></b>Email Id : sriammandigitalprints@gmail.com/yahoo.com.</span><br/>
 <span width="80%" class="title1" style="font-size:18px;font-family:Verdana, sans-serif; font-weight:bold"><b></b>Printer Date wise Report</span></p></td>
  </tr>

</table>
<table width="1000px" align="center" height="40" border="0"  cellpadding="0" cellspacing="0">
<tr>
<td colspan="4" align="left" class="style4"><strong>From Date :</strong>  <?php if($_GET['from_date']==''){ echo $curdate=date('d-m-Y');} else { echo date("d-m-Y",strtotime($_GET['from_date']));}?></td>
<td colspan="4" align="right" scope="col" class="style4"><strong>To Date :</strong>  <?php if($_GET['to_date']==''){ echo $curdate=date('d-m-Y');} else { echo date("d-m-Y",strtotime($_GET['to_date'])); }?></td>
</tr></table>
<table  width="1000px" align="center"  cellpadding="0" cellspacing="0"  >
      <tr>
      <td width="53" height="26" align="center"class="stylebottom  style20"><strong>S.No</strong></td>
      <td width="104" align="left"class="stylebottom  style20" scope="col"><strong>&nbsp;Date</strong><strong>&nbsp;</strong></td>
      <td width="108" align="left"class="stylebottom  style20" scope="col"><strong>&nbsp;Jobcard No</strong></td>
      <td width="117" scope="col" align="left"class="stylebottom  style20" ><strong>&nbsp;Date</strong>&nbsp;</td>
      <td width="117" scope="col" align="left"class="stylebottom  style20" ><strong>&nbsp;Shift</strong></td>
      <td width="129"   align="left" scope="col"class="stylebottom  style20" ><strong>&nbsp;Machine No</strong></td>
      <td width="105"   align="left"class="stylebottom  style20"   scope="col"><strong>&nbsp;Operator</strong></td>
      <td width="128"  align="right"class="stylebottom  style20"    scope="col"><strong>Particulars&nbsp;</strong></td>
      <td width="78"   align="right"class="stylebottom  style20"  scope="col"><strong>Order Qty&nbsp;</strong></td>
            <td width="92"   align="right"class="stylebottom  style20"  scope="col"><strong>Product Qty&nbsp;</strong></td>

      <td width="84"   align="right"class="stylebottom  style20"  scope="col"><strong>Balance Qty&nbsp;</strong></td>
  </tr>
  <?php
include("../../include/db.php");
function get_operator_names_cust($ope_name)
{
	$entity11="select * from operator_creation where id='$ope_name'";
$rs11=mysql_query($entity11);
 while($trips=mysql_fetch_array($rs11))
 {
$operator_namess=$trips['operator_name'];

}
return $operator_namess;
}

function get_order_qty($job_card_no,$prod_size)
{
	$sql_query="select * from fusing_production_sublist where job_card_no='$job_card_no' and prod_size='$prod_size' ";
    $rs=mysql_query($sql_query);
    $rscount=mysql_num_rows($rs);
	return $rscount;
 }
 
 
 function get_max_order_qty($job_card_no,$prod_size)
{
$sql_query="select max(total_qty) as total_qty from fusing_production_sublist where job_card_no='$job_card_no' and prod_size='$prod_size' ";
    $rs11=mysql_query($sql_query);
 while($rsdata=mysql_fetch_array($rs11))
 {
$total_qty=$rsdata['total_qty'];
}
return $total_qty;
}

 function get_order_qty1($job_card_no,$prod_size,$pr_id)
{
 $sql_query="select total_qty from fusing_production_sublist where job_card_no='$job_card_no' and prod_size='$prod_size' and pr_id='$pr_id'  ";
    $rs11=mysql_query($sql_query);
 while($rsdata=mysql_fetch_array($rs11))
 {
$total_qty=$rsdata['total_qty'];
}
return $total_qty;
}	  
function get_machine_name_cust($machine_no)
{
	
  $sql_query11="select * from machine_creation where id='$machine_no' and  mach_type='printer'";
$rs11=mysql_query($sql_query11);
 while($rsdata11=mysql_fetch_object($rs11))
 {
 $machine_no=$rsdata11->machine_no;
 } 
return $machine_no;
}

function get_shift_time5($shift_time)
{
$sql="select * from shift_creation where id='$shift_time'";
$rs11=mysql_query($sql);
 while($rsdata=mysql_fetch_array($rs11))
{
$from_time[0]=$rsdata['from_time'];
$from_time[1]=$rsdata['to_time'];
$from_time[2]=$rsdata['shift_name'];
}
return $from_time;
}

function get_shift_name_from_cust($shift_time)
{
$sql_query11="select * from shift_creation where id='$shift_time' ";
$rs11=mysql_query($sql_query11);
 while($rsdata11=mysql_fetch_object($rs11))
 {
 $from_time=$rsdata11->from_time;
  $to_time=$rsdata11->to_time;
 $shift_name=$rsdata11->shift_name;

 } 
 $tot_shift=array($from_time,$to_time,$shift_name);
return $tot_shift;
}


function get_machine_no5($machine_id)
{
$sql="select * from machine_creation where id='$machine_id'";
$rs11=mysql_query($sql);
 while($rsdata=mysql_fetch_array($rs11))
 {
$machine_no=$rsdata['machine_no'];
}
return $machine_no;
}
 
 $from_date=$_GET['from_date'];
 $to_date=$_GET['to_date'];
 $customer_name=$_GET['customer_name'];
 $current_date=date('Y-m-d');
if($from_date!=""){ $from_date1= "print_date>='$from_date'"; }else{$from_date1="print_date='$current_date'"; }
if($to_date!=""){ $to_date1 = "print_date<='$to_date'";}else{$to_date1="print_date='$current_date'";}

{
$all_value102 = $from_date1.",".$to_date1;
}
$all_array102 = explode(',',$all_value102);
foreach($all_array102 as $value102)
{ 
if($value102!='')
{
  $get_query103 .= $value102." AND ";
}
}	  
 $sql="select * from  fusing_production_main where $get_query103 p_id!='' order by job_card_no ASC  ";

    $rs=mysql_query($sql);
	$s_no=0;
   		while($rsdata=mysql_fetch_array($rs))
  			{
   				 $s_no=$s_no+1;
				 $from=$from+1;
                 $id=$rsdata['p_id'];
                 $job_card_nos=$rsdata['job_card_no'];
				 $print_date=$rsdata['print_date'];
				 $cust_name=$rsdata['cust_name'];
				 $fabric_type=$rsdata['fabric_type'];
				 $printer_status=$rsdata['billed_status'];
				 $job_type=$rsdata['job_type'];
				 $printed_qty=$rsdata['printed_qty'];
				 
 ?>
    <tr>
    <td width="53"  align="center" class="style20">&nbsp;<?php echo $from; ?></td>
    <td width="104" align="left" class="style20" >&nbsp;<?php echo date("d-m-Y",strtotime($print_date));?></td>
    <td width="108" align="left" class="style20" >&nbsp;<?php echo $job_card_nos; ?></td>
   <!-- <td width="166" align="left" class="style20" >&nbsp;<?php echo $cust_name; ?></td>-->
      <td colspan="8" class="style20" align="right"><table width="100%" style="border:0px;">
   <tbody >   <?php
     $sql_user="select * from fusing_production_sublist where job_card_no='$job_card_nos'";	
	$rs11=mysql_query($sql_user);
 while($trips=mysql_fetch_array($rs11))
 {
$machine_id=$trips['machine_no'];
$pr_id=$trips['pr_id'];
$job_card_no=$trips['job_card_no'];
$machine_no=get_machine_no5($machine_id);
$operator_name=$trips['operator_name'];
$operator_name2=get_operator_names_cust($operator_name);
$shift_time=$trips['shift_time'];
$shift_time=get_shift_time5($shift_time);
$prod_size=$trips['prod_size'];
$prod_qty=$trips['prod_qty'];
$production_time=$trips['production_time'];
$mach_no=get_machine_name_cust($machine_no);
list($frm_ti,$to_ti,$type)=get_shift_name_from_cust($shift_time);
$total_qty=$trips['total_qty'];
$balance_qty=$trips['balance_qty'];
$count_order_qty = get_order_qty($job_card_no,$prod_size); 
	 $max_order_qty = get_max_order_qty($job_card_no,$prod_size);
	 $qty=  get_order_qty1($job_card_no,$prod_size,$pr_id);
	if($max_order_qty==$qty)
	{
		$qty=$max_order_qty;
	}
	else
	{
		$qty='';
	}
	?>
    <tr>
      <td width="16%" align="left" class="style20"><?php echo date('d-m-y h:m a',strtotime($production_time)); ?>&nbsp;</td>
    <td width="16%" align="left" class="style20"><?php echo $shift_time[2]; ?>&nbsp;</td>
    <td width="18%" align="left" class="style20"><?php echo $operator_name2; ?>&nbsp;</td>
    <td width="20%" align="left" class="style20"><?php echo $machine_no; ?>&nbsp;</td>
    <td width="10%" align="left" class="style20"><?php echo $prod_size; ?>&nbsp;</td>
    <td width="12%" align="right" class="style20"><?php echo $qty; ?>&nbsp;</td>
    <td width="13%" align="right" class="style20"><?php echo number_format($prod_qty,2); ?>&nbsp;</td>
    <td width="11%" align="right" class="style20"><?php echo $balance_qty; ?>&nbsp;</td>
    </tr><?php $total1+=$qty; 
	$total2+=$prod_qty; 
	$total3+=$balance_qty;}  ?></tbody></table></td>
    </tr>
  <?php } ?>
   <tr>
   <td colspan="8" align="right" class="style20" style="border-top:dashed 1px"><strong>Total</strong></td>
   <td align="right" class="style20" style="border-top:dashed 1px"><strong><?php echo number_format($total1,2); ?></strong></td>
      <td align="right" class="style20" style="border-top:dashed 1px"><strong><?php echo number_format($total2,2); ?></strong></td>

   <td align="right" class="style20" style="border-top:dashed 1px"><strong><?php echo number_format($total1-$total2,2); ?></strong></td>
    </tr>
<tr style="border-bottom:dashed 1px"></tr>
       <td height="30" colspan="18"align="right" style=" font-family:Verdana, sans-serif; font-size:12px; border-top:dashed 1px;"><strong>Printed Date : <?php echo $curdate=date('d-m-Y h:m a');?>&nbsp;</strong></p></td>
</table>
